import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-students',
  templateUrl: './students.component.html',
  styleUrls: ['./students.component.scss']
})
export class StudentsComponent implements OnInit {
  student = [
    {
      id: '59110440046',
      font: 'นาย',
      fname: 'กิตติศักดิ์',
      lname: 'มณีวงษ์',
      sex: 'ชาย'
    },
    {
      id: '59110440039',
      font: 'นาย',
      fname: 'กิตติพงษ์',
      lname: 'มณีวงษ์',
      sex: 'ชาย'
    }
  ]

  id: '';
  font: '';
  fname: '';
  lname: '';
  gender: '';

  index: -1;

  constructor() { }

  ngOnInit() {
  }

  insert () {
    this.student.push({id: this.id, font: this.font, fname: this.fname, lname: this.lname, sex: this.gender});
    this.id= '';
    this.font= '';
    this.fname= '';
    this.lname= '';
    this.gender= '';
  }

  remove (i) {
    this.student.splice(i, 1)
  }

  edit (n) {
    this.index = n
    const data = JSON.parse(JSON.stringify(this.student[n]))
    this.id = data.id
    this.font = data.font
    this.fname = data.fname
    this.lname = data.lname
    this.gender = data.sex

  }

  update (n) {
    this.student[n].id = this.id
    this.student[n].font = this.font
    this.student[n].fname = this.fname
    this.student[n].lname = this.lname
    this.student[n].sex = this.gender
  }

}
